Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures.drag
Class DragMoveEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.ui.mouse.gestures.SyntheticMouseGestureEvent<DragMoveHandler,MouseMoveEvent>
                      com.maryanovsky.gwtutils.client.ui.mouse.gestures.drag.DragMoveEvent

    public class DragMoveEvent

extends SyntheticMouseGestureEvent<DragMoveHandler,MouseMoveEvent>

Represents a mouse-drag event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`DragMoveEvent(MouseMoveEvent evt, int button, PointView location, PointView offset)` Creates a new `DragMoveEvent` from the specified source `MouseMoveEvent`, mouse button, location and offset.

Method Summary
`protected void` | `dispatch(DragMoveHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<DragMoveHandler>` | `getAssociatedType()` Returns the event type associated with mouse-drag events.
`int` | `getButton()` Returns the button that was clicked.
`PointView` | `getLocation()` Returns the location of the mouse, in the target element's coordinate system.
`PointView` | `getOffset()` Returns the offset of the mouse position from the location where it was initially pressed.
`static GwtEvent.Type<DragMoveHandler>` | `getType()` Returns the event type associated with mouse-drag events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragMoveEvent

    public DragMoveEvent(MouseMoveEvent evt,
                         int button,
                         PointView location,
                         PointView offset)

  Creates a new `DragMoveEvent` from the specified source `MouseMoveEvent`, mouse button, location and offset.

  Parameters:
    `evt` - The mouse up event that triggered this event.
    `button` - The pressed mouse button.
    `location` - The location of the mouse, in the target element's coordinate system.
    `offset` - The offset of the mouse position from the location where it was initially pressed.

Method Detail

### getButton

    public int getButton()

  Returns the button that was clicked. Possible values are `NativeEvent.BUTTON_LEFT`, `NativeEvent.BUTTON_MIDDLE` and `NativeEvent.BUTTON_RIGHT`.

### getLocation

    public PointView getLocation()

  Returns the location of the mouse, in the target element's coordinate system.

### getOffset

    public PointView getOffset()

  Returns the offset of the mouse position from the location where it was initially pressed.

### getType

    public static GwtEvent.Type<DragMoveHandler> getType()

  Returns the event type associated with mouse-drag events.

### getAssociatedType

    public GwtEvent.Type<DragMoveHandler> getAssociatedType()

  Returns the event type associated with mouse-drag events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<DragMoveHandler>`

### dispatch

    protected void dispatch(DragMoveHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<DragMoveHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD